Subject: Re: bug#59903: [BUG] Unable to load hyperbole

From: Robert Weiner <[email-masked]>
Date: Mon, 12 Dec 2022 20:11:36 -0500

Please send the relevant part of your config where you change the C-h binding and where you setup Hyperbole together with your Emacs version and Hyperbole version and we’ll replicate things to test.  Thanks.

-- Bob

> On Dec 12, 2022, at 3:49 AM, Ihor Radchenko <[email-masked]> wrote:
> 
> Ihor Radchenko <[email-masked]> writes:
> 
>> I tried, but I am getting the same error.
> 
> Never mind. Hyperbole did load after replacing the suggested function in
> hyperbole sources. I just needed to remove spurious newlines added in
> the email.
> 
> Now, I am getting a different error when trying to use action key:
> 
> Debugger entered--Lisp error: (invalid-regexp "Unmatched ) or \\)")
>  (hpath:remote-at-p)
>  (hpath:at-p)
>  (ibtypes::pathname)
>  (ibut:at-p)
>  (hbut:at-p)
>  (hkey-execute nil)
>  (action-key-internal)
>  (action-key)
>  (funcall-interactively action-key)
>  (command-execute action-key)
> 
> If necessary, I can report it in a separate thread.
> 
> -- 
> Ihor Radchenko // yantar92,
> Org mode contributor,
> Learn more about Org mode at <https://orgmode.org/>.
> Support Org development at <https://liberapay.com/org-mode>,
> or support my work at <https://liberapay.com/yantar92>